<head>
<script src="prototype.js" language="javascript"></script>
<script src="ajax_puntoventa.js" language="javascript"></script>
</head>
<?php
include ("conexion.php");
//============================================================================================

if (isset($_GET['expediente']))
{
		$expediente=$_GET['expediente'];
		//echo $expediente." ";
		$cons14="SELECT NomPaciente, ApePatPaciente,ApeMatPaciente FROM pacientes WHERE CvePaciente='$expediente'";
		$res14=mysql_query($cons14,$conex) or die ("No se consulto el nombre del paciente :: cons14");
		$filas=mysql_num_rows($res14);
		if ($filas != 0)
		{
		$campo=mysql_fetch_assoc($res14);
		echo "<input name='nompaciente' type='text' id='nompaciente' class='cuadrotexto' size='40' maxlength='50' readonly='readonly' value='".$campo['ApePatPaciente']." ".$campo['ApeMatPaciente']." ".$campo['NomPaciente']."'>"; 
		}
		else
		{
			echo "<span class='style2'>No existe el expediente ingresado!</span>";
		}

}//END

//=============================================================================================================
if (isset($_GET['clavedoc']))
{
		$clavedoc=$_GET['clavedoc'];
		//echo $expediente." ";
		$cons15="SELECT NomPersonal, ApePatPersonal,ApeMatPersonal FROM personal WHERE CvePersonal='$clavedoc'";
		$res15=mysql_query($cons15,$conex) or die ("No se consulto el nombre del doctor :: cons15");
		$filas=mysql_num_rows($res15);
		if ($filas != 0)
		{
		$campo2=mysql_fetch_assoc($res15);
		echo "<input name='nomdoctor' type='text' id='nomdoctor' class='cuadrotexto' size='40' maxlength='50' readonly='readonly' value='".$campo2['ApePatPersonal']." ".$campo2['ApeMatPersonal']." ".$campo2['NomPersonal']."'>"; 
		}
		else
		{
			echo "<span class='style2'>No existe la clave de doctor ingresada!</span>";
		}
		
}//END

//==================================== AGREGA PAQUETE ======================================
if (isset($_GET['paquete']))
{
		//OBTENGO PAQUETE Y FOLIO DE VENTA
		$paquete=$_GET['paquete'];
		$folio=$_GET['folio'];
		
		//Nombre del paquete
		$cons12="SELECT nompaquete FROM paquetes WHERE idPaquete='$paquete'";
		$res12=mysql_query($cons12,$conex) or die ("No se ejecuto cons12");
		$nompaquete=mysql_result($res12,0,'nompaquete');
		
		//PRIMERO SELECCIONO TODO EL CONTENIDO DEL PAQUETE
		$cons8="SELECT clave,cantidad FROM contenido_paquete WHERE idPaquete='$paquete'";
		$res8=mysql_query($cons8,$conex) or die ("No se ejecuto el primer paso cons8");
		while ($filax=mysql_fetch_row($res8))
		{
			//VERIFICO SI EXISTE EN LA TABLA CONTENIDO PARA SOLO AGREGARLOS
			$cons9="SELECT * FROM contenido_salida WHERE idSalida = '$folio' and idProducto = '$filax[0]'";
			$res9=mysql_query($cons9,$conex) or die ("No se realizo cons9");
			$nume_filasx=mysql_num_rows($res9);
			//echo $num_filas;
			if ($nume_filasx == 0)
			{
				//SI NO EXISTE, LO INSERTO A LA TABLA DE CONTENIDO		
				$cons10="INSERT INTO contenido_salida (idSalida,idProducto,cantidad) VALUES ('$folio','$filax[0]','$filax[1]')";
				$res10=mysql_query($cons10,$conex) or die ("No se realizo cons10");
			}
			else//sino
			{
				//OBTENGO LA CANTIDAD DEL PRODUCTO EXISTENTE
				$findprod=mysql_result($res9,0,'cantidad');
				//SI YA EXISTE PUES SOLO AGREGO LOS PRODUCTOS
				$totprod=$findprod + $filax[1];
				$cons11="UPDATE contenido_salida SET cantidad='$totprod' Where idSalida='$folio' and idProducto='$filax[0]'";
				$res11=mysql_query($cons11,$conex) or die ("No se pudo actualizar en cons11");
			}
			
			//INSERCION DE PRODUCTOS A LA TABLA CAMBIOSVENTA
			$cons13="SELECT clasificacion FROM productos WHERE clave='$filax[0]'";
			$res13=mysql_query($cons13,$conex) or die ("No se realizo cons13");
			$clasifi=mysql_result($res13,0,'clasificacion');
			if ($clasifi=='Contables variables')			
			{
				$cons14="INSERT INTO cambiosventa (idCambio,idSalida,clave1) VALUES ('','$folio','$filax[0]')";
				$res14=mysql_query($cons14,$conex) or die ("No se realizo cons14");
				//echo "es contable variable >> ";
			}
			else
			{//echo "no es contable variable >> ";
			}
		}
		echo "<center><span class='style10'>Paquete ".$nompaquete." agregado.</span></center><br>";
		
mysql_free_result($res12);
mysql_free_result($res8);
}//END

//======================================== APLICAR DESCUENTO =====================================================

if (isset($_GET['descuento']))
{
		//OBTENGO LA CLAVE, CANTIDAD Y FOLIO
		$desc=$_GET['descuento'];
		$folio=$_GET['folio'];
		
		//CONSULTO SI EXISTE EL FOLIO DE LA VENTA EN DESCUENTO_TEMP
		$consdesc1="SELECT * FROM descuento_temp WHERE idSalida='$folio'";
		$resdesc1=mysql_query($consdesc1,$conex) or die ("No se ejecutó consdesc1");
		$numfilas=mysql_num_rows($resdesc1);
		
		//SI NO EXISTE, INSERTO, SI SI ACTUALIZO
		if ($numfilas==0)
		{
			$consdesc2="INSERT INTO descuento_temp (idDescuento,idSalida) VALUES ('$desc','$folio')";
			$resdesc2=mysql_query($consdesc2,$conex) or die ("No se ejecutó consdesc2");
		}
		else
		{
			$consdesc3="UPDATE descuento_temp SET idDescuento='$desc' WHERE idSalida='$folio'";
			$resdesc3=mysql_query($consdesc3,$conex) or die ("No se ejecutó consdesc3");
		}
}//END

//================================== CANCELA VENTA ==========================================
if(isset($_GET['claveCancela']))
{
	 $folio=$_GET['claveCancela'];
	 
	 $consulta1="DELETE FROM contenido_salida WHERE idSalida='$folio'";
	 $resultado1=mysql_query($consulta1,$conex) or die ("No se cancelo la venta");
	 
	 $consulta2="DELETE FROM descuento_temp WHERE idSalida='$folio'";
	 $resultado2=mysql_query($consulta2,$conex) or die ("No se cancelo la venta2");
	 
	 $consulta3="DELETE FROM cambiosventa WHERE idSalida='$folio'";
	 $resultado3=mysql_query($consulta3,$conex) or die ("No se cancelo la venta3");
	 
 	 echo "<center><span class='style10'>Venta cancelada.</span></center><br>";
}


//============================= IMPRESION GENERAL DE LA TABLA DE CONTENIDO_SALIDA_TEMP ============================

if(isset($_GET['folio']) && $folio)
{ 
	$total=0.00;
	echo "<div align='center'>";
	echo "<table border=1>";
	echo "<tr bgcolor='#0D3356' class='titulo' align='center'>";
				
	echo "<td>";
	echo "Clave";
	echo "</td>";
	
	echo "<td>";
	echo "Producto";
	echo "</td>";
	
	echo "<td>";
	echo "Clasificaci&oacute;n";
	echo "</td>";
				
	echo "<td>";
	echo "Presentaci&oacute;n";
	echo "</td>";
	
	echo "<td>";
	echo "Cantidad";
	echo "</td>";
	
	echo "<td>";
	echo "Precio";
	echo "</td>";
				
	echo "<td>";
	echo "Importe";
	echo "</td>";
				
	echo "</tr>";
	$cons3="SELECT idProducto,cantidad FROM contenido_salida WHERE idSalida='$folio'" ;
	$res3=mysql_query($cons3,$conex) or die ("No se realizo con exito la consulta de contenido_salida");
	$numero_filas3=mysql_num_rows($res3);
	$numero_campos3= mysql_num_fields($res3);
	while ($fila3=mysql_fetch_row($res3))
	{				  
		echo "<tr>";
	
		//CLAVE
		echo "<td class='style1'>";
		echo $fila3[0];
		echo "</td>";
	
		//NOMBRE, DESCRIPCION, PRECIO
		$cons4="SELECT nombre,clasificacion,idPresentacion,precio FROM productos Where clave = '".$fila3[0]."'" ;
		$res4=mysql_query($cons4,$conex) or die ("No se realizo con exito la consulta CONS4");
		$nombre=mysql_result($res4,0,'nombre');
		$clasificacion=mysql_result($res4,0,'clasificacion');
		$idprese=mysql_result($res4,0,'idPresentacion');
		$precio=mysql_result($res4,0,'precio');
					
		echo "<td class='style1'>";
		echo $nombre;
		echo "</td>";
		
		echo "<td class='style1'>";
		echo $clasificacion;
		echo "</td>";
		
		$cons04="SELECT presentacion FROM presentaciones Where idPresentacion = '$idprese'" ;
		$res04=mysql_query($cons04,$conex) or die ("No se realizo con exito la consulta de la presentacion");
		$presen=mysql_result($res04,0,'presentacion');
		
		echo "<td class='style1'>";
		echo $presen;
		echo "</td>";
		
		//CANTIDAD
		echo "<td class='style1' align='center'>";
		echo $fila3[1];
		echo "</td>";
		
		//PRECIO
		echo "<td class='style1' align='right'>";
		echo "$ ".$precio;
		echo "</td>";
		
		//IMPORTE
		$importe=$fila3[1]*$precio;
		$total=$total + $importe;
					
		echo "<td class='style1' align='right'>";
		//echo "$ ".$importe;
		printf ("$ %.2f", $importe );
		echo "</td>";
		
	}//end while
				
	echo "</tr>";
	echo "</table>";
	
	//IMPRESION DEL DESCUENTO
				$consdes1="SELECT idDescuento FROM descuento_temp WHERE idSalida ='$folio'";
				$resdes1=mysql_query($consdes1,$conex) or die ("No se consultó consdes1");
				$numfilas5=mysql_num_rows($resdes1);
				
				if ($numfilas5==0)
				{
					$descuento="";
					$total2=$total;
					$descue2=0.00;
				}
				else
				{
					$iddescuento=mysql_result($resdes1,0,'idDescuento');
					
					if ($iddescuento ==0)
					{
						$descuento="";
						$total2=$total;
						$descue2=0.00;
					}
					else
					{
						$consdes="SELECT descripcion,cifra FROM descuentos WHERE idDescuento ='$iddescuento'";
						$resdes=mysql_query($consdes,$conex) or die ("No se consultó el descuento");
						$descuento=mysql_result($resdes,0,'descripcion');
						$desc=mysql_result($resdes,0,'cifra');
						
						$descue=$desc/100;
						$descue2=$total*$descue;
						$total2=$total-$descue2;
					}
				}
				
				//TABLA DEL TOTAL		  
				echo "<p></p>";
				echo "<table width='100%' border='0' cellpadding='0' cellspacing='5' bgcolor='#CCCCCC'>";
				echo "<tr>";
				echo "<td width='60%' valign='baseline'><span  class='style7'>Descuento: </span><span class='style9'>".$descuento."</span></td>";
				echo "<td width='20%' valign='bottom'><div align='right'><span class='style4'>TOTAL: </span></div></td>";
				echo "<td width='20%' valign='bottom'>";
					echo "<table width='100%' height='100%' border='1' cellpadding='0' cellspacing='1'>";
					echo "<tr>";
					echo "<td bgcolor='#FFFFFF'><div align='right'>";
					printf ("<span class='style4'>Subtotal: $%.2f", $total);
					printf ("<br><span class='style10'>- Descuento: $%.2f", $descue2);
					echo "<br>";
					printf ("<span class='Estilo2'>$%.2f", $total2);
					echo "</span>";
					//CUADRO CONTENIENDO TOTAL
					echo "<input name='total' type='hidden' value='".$total2."'></div>";			
					echo "</td>";
					echo "</tr>";
					echo "</table>";
				echo "</td>";
				echo "</tr>";
				echo "</table>";
}//END impresion tabla

//======================================== EJECUTAR VENTA =====================================================

if (isset($_GET['descuento']))
{
		//OBTENGO LA CLAVE, CANTIDAD Y FOLIO
		$desc=$_GET['descuento'];
		$folio=$_GET['folio'];
		
		//CONSULTO SI EXISTE EL FOLIO DE LA VENTA EN DESCUENTO_TEMP
		$consdesc1="SELECT * FROM descuento_temp WHERE idSalida='$folio'";
		$resdesc1=mysql_query($consdesc1,$conex) or die ("No se ejecutó consdesc1");
		$numfilas=mysql_num_rows($resdesc1);
		
		//SI NO EXISTE, INSERTO, SI SI ACTUALIZO
		if ($numfilas==0)
		{
			$consdesc2="INSERT INTO descuento_temp (idDescuento,idSalida) VALUES ('$desc','$folio')";
			$resdesc2=mysql_query($consdesc2,$conex) or die ("No se ejecutó consdesc2");
		}
		else
		{
			$consdesc3="UPDATE descuento_temp SET idDescuento='$desc' WHERE idSalida='$folio'";
			$resdesc3=mysql_query($consdesc3,$conex) or die ("No se ejecutó consdesc3");
		}
}//END


//===CERRAR CONEXION
mysql_close($conex);
		
?>